%define     UpstreamName SemanticMediaWiki

Name:       mediawiki-semantic
Version:    1.7.0.2
Release:    3%{?dist}
Summary:    An extension of MediaWiki that improves content organization
Group:      Applications/Internet
License:    GPLv2
URL:        http://semantic-mediawiki.org
Source0:    http://downloads.sourceforge.net/project/semediawiki/semediawiki/Semantic%20MediaWiki%20%{version}/%{UpstreamName}%{version}.zip
# SemanticMediaWiki.zip also includes the Validator extension.  Validator is
# packaged separately as mediawiki-validator.  The following script removes
# Validator from the zip file.
# ./remove-validator.sh SemanticMediaWiki1.7.0.2.zip
Source1: remove-validator.sh
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch
Requires:   mediawiki >= 1.16.0
Requires:   mediawiki-nomath
Requires:   mediawiki-validator


%description
Semantic MediaWiki is also a full-fledged framework, in conjunction with many
spinoff extensions, that can turn a wiki into a powerful and flexible
“collaborative database”. All data created within SMW can easily be published
via the Semantic Web, allowing other systems to use this data seamlessly.


%prep
%setup -q -n %{UpstreamName}


%build


%install
rm -rf %{buildroot}

%{__install} -d %{buildroot}/%{_datadir}/mediawiki/extensions/%{UpstreamName}

cat <<EOF> README.fedora
To complete installation of %{name}: add the following two lines to
LocalSettings.php:

  include_once("\$IP/extensions/%{UpstreamName}/%{UpstreamName}.php");
  enableSemantics('example.org');

for each MediaWiki instance you wish to install %{name} on.  Note that
example.org should be replaced by your server's name (or IP address).

Additional database changes are detailed in the online installation
instructions available at http://semantic-mediawiki.org/wiki/Help:Installation.
EOF

%{__cp} -a * %{buildroot}/%{_datadir}/mediawiki/extensions/%{UpstreamName}/


%files
%defattr(-,root,root,-)
%{_datadir}/mediawiki/extensions/%{UpstreamName}
%doc COPYING INSTALL README README.fedora RELEASE-NOTES


%changelog
* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7.0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jan 23 2012 James Laska <jlaska@redhat.com> 1.7.0.2-2
- Correct incomplete build section
- Replace RPM_BUILD_ROOT with buildroot macro

* Mon Jan 23 2012 James Laska <jlaska@redhat.com> 1.7.0.2-1
- Update to 1.7.0.2

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Jun 16 2011 James Laska <jlaska@redhat.com> 1.5.6-1
- Update to 1.5.6

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Mar 11 2009 James Laska <jlaska@redhat.com> 1.4.2-1
- Initial packaging of 1.4.2
